Subject: Re: bug#34516: Multi-monitor frame sets

From: Juri Linkov <[email-masked]>
Date: Sat, 23 Feb 2019 22:43:41 +0200

>>> I donʼt mind it, but it won't work on macOS, since thereʼs no 'name
>>> entries in 'display-monitor-attributes-list' (and adding them looks
>>> non-trivial, unless we go for 'Monitor-1', Monitor-2' etc.)
>>
>> Are there other NS-specific attributes that could provide
>> a clear reference to a specific monitor?  Maybe ‘geometry’
>> could be used to deduce a relative arrangement of monitors?
>
> I guess it could. Or we could fake up a monitor name on those systems
> where ns_screen_name doesnʼt work.

Since on Windows 'display-monitor-attributes-list' returns such
fake monitor names:

  \\.\DISPLAY1
  \\.\DISPLAY2

on macOS it could return something like that or generate fake names
from geometry like "1920x1080+0+0", "2560x1440+1920+16".